<!DOCTYPE html>
<html>
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1">

  <script defer src="/__/firebase/7.4.0/firebase-app.js"></script>
  <script defer src="/__/firebase/7.4.0/firebase-auth.js"></script>
  <script defer src="/__/firebase/7.4.0/firebase-firestore.js"></script>
  <script defer src="/__/firebase/7.4.0/firebase-storage.js"></script>
  <script defer src="/__/firebase/init.js"></script>
  <script defer src="app.js"></script>
  <link rel="stylesheet" href="app.css">

  <title>Firebase Hosting Demo</title>
</head>
<body>
  <header>
    <div class="ifAnon">
      <button id="signIn">Sign-In via Google</button>
    </div>
    <div class="ifAuth">
      Logged in as <span id="userName"></span>
      <button id="signOut">Sign-Out</button>
    </div>
  </header>

  <fieldset class="ifAuth">
    <legend>Create Message</legend>
    <input type="text" id="messageText" />
    <button id="sendMessage">SEND</button>
  </fieldset>

  <table class="ifAuth">
    <thead>
      <tr>
        <th>ID</th>
        <th>Message</th>
        <th>Date</th>
      </tr>
    </thead>
    <tbody id="rows"></tbody>
  </table>

  <div class="ifAnon jumbo">
    Please, sign-in first!
  </div>
</body>
</html>
